Bug 4769 - Bump release from R4 to R5
: Bump release from R4 to R5
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Highest critical
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-04 11:59 MSK by Andrey Bondrov
Modified: 2014-12-09 11:09 MSK (History)
3 users (show)

See Also:
RPM Package: rosa-release
ISO-related:
Bad POT generating:
Upstream:
firstlevel: qa_verified+
andrey.bondrov: published+


Attachments
x32-old.jpg (59.08 KB, image/jpeg)
2014-12-05 09:54 MSK, FirstLevel
Details
x32-new.jpg (59.29 KB, image/jpeg)
2014-12-05 09:54 MSK, FirstLevel
Details
old index.html (220.82 KB, image/png)
2014-12-08 21:47 MSK, FirstLevel
Details
new index.html (221.58 KB, image/png)
2014-12-08 21:48 MSK, FirstLevel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2014-12-04 11:59:00 MSK
We plan to release R5 so we need to adjust /etc/release.
Comment 1 Andrey Bondrov 2014-12-04 11:59:44 MSK
Advisory: "Release ROSA Desktop Fresh R5"

https://abf.rosalinux.ru/build_lists/2348393
https://abf.rosalinux.ru/build_lists/2348394
Comment 2 FirstLevel 2014-12-04 15:52:55 MSK
I have such output for my system
[root@r4 ~]# cat /etc/release
ROSA Desktop Fresh R4 release 2014.1 for i586
[root@r4 ~]# urpmi.addmedia tst http://abf-downloads.rosalinux.ru/rosa2014.1/container/2348393/i586/main/release/
добавляется источник «tst»
    http://abf-downloads.rosalinux.ru/rosa2014.1/container/2348393/i586/main/release/media_info/20141204-074313-synthesis.hdlist.cz
    http://abf-downloads.rosalinux.ru/rosa2014.1/container/2348393/i586/main/release/media_info/20141204-074313-info.xml.lzma                        
    http://abf-downloads.rosalinux.ru/rosa2014.1/container/2348393/i586/main/release/media_info/20141204-074313-files.xml.lzma                       
    http://abf-downloads.rosalinux.ru/rosa2014.1/container/2348393/i586/main/release/media_info/20141204-074313-changelog.xml.lzma                   
[root@r4 ~]# urpmi --auto-update                                                                                                                     
источник «main» уже обновлён
источник «main updates» уже обновлён
источник «contrib» уже обновлён
источник «contrib updates» уже обновлён
источник «non-free» уже обновлён
источник «non-free updates» уже обновлён
источник «restricted» уже обновлён
источник «restricted updates» уже обновлён
источник «tst» уже обновлён
Пакеты находятся в актуальном состоянии
[root@r4 ~]# rpm -qa | grep rosa-release
rosa-release-common-2014.1-5-rosa2014.1.i586
rosa-release-EE-2014.1-5-rosa2014.1.i586
[root@r4 ~]# 


Should I install new packages?
Comment 3 FirstLevel 2014-12-04 15:53:13 MSK
I have such output for my system
[root@r4 ~]# cat /etc/release
ROSA Desktop Fresh R4 release 2014.1 for i586
[root@r4 ~]# urpmi.addmedia tst http://abf-downloads.rosalinux.ru/rosa2014.1/container/2348393/i586/main/release/
добавляется источник «tst»
    http://abf-downloads.rosalinux.ru/rosa2014.1/container/2348393/i586/main/release/media_info/20141204-074313-synthesis.hdlist.cz
    http://abf-downloads.rosalinux.ru/rosa2014.1/container/2348393/i586/main/release/media_info/20141204-074313-info.xml.lzma                        
    http://abf-downloads.rosalinux.ru/rosa2014.1/container/2348393/i586/main/release/media_info/20141204-074313-files.xml.lzma                       
    http://abf-downloads.rosalinux.ru/rosa2014.1/container/2348393/i586/main/release/media_info/20141204-074313-changelog.xml.lzma                   
[root@r4 ~]# urpmi --auto-update                                                                                                                     
источник «main» уже обновлён
источник «main updates» уже обновлён
источник «contrib» уже обновлён
источник «contrib updates» уже обновлён
источник «non-free» уже обновлён
источник «non-free updates» уже обновлён
источник «restricted» уже обновлён
источник «restricted updates» уже обновлён
источник «tst» уже обновлён
Пакеты находятся в актуальном состоянии
[root@r4 ~]# rpm -qa | grep rosa-release
rosa-release-common-2014.1-5-rosa2014.1.i586
rosa-release-EE-2014.1-5-rosa2014.1.i586
[root@r4 ~]# 


Should I install new packages?
Comment 4 Andrey Bondrov 2014-12-04 16:23:23 MSK
(In reply to comment #3)
> Should I install new packages?

Sorry, new build lists.

Advisory: "Release ROSA Desktop Fresh R5"

https://abf.rosalinux.ru/build_lists/2348470
https://abf.rosalinux.ru/build_lists/2348471
Comment 5 FirstLevel 2014-12-04 16:29:24 MSK
32bit 
old---
[root@r4 ~]# cat /etc/release
ROSA Desktop Fresh R4 release 2014.1 for i586
[root@r4 ~]# rpm -qa | grep rosa-release
rosa-release-common-2014.1-5-rosa2014.1.i586
rosa-release-EE-2014.1-5-rosa2014.1.i586

new---
[root@r4 ~]# cat /etc/release
ROSA Desktop Fresh R5 release 2014.1 for i586
[root@r4 ~]# rpm -qa | grep rosa-release
rosa-release-common-2014.1-6-rosa2014.1.i586
rosa-release-EE-2014.1-6-rosa2014.1.i586


64bit
old---
[root@r4-64 ~]# cat /etc/release 
ROSA Desktop Fresh R4 release 2014.1 for x86_64
[root@r4-64 ~]# rpm -qa | grep rosa-release
rosa-release-common-2014.1-5-rosa2014.1.x86_64
rosa-release-EE-2014.1-5-rosa2014.1.x86_64

new---
[root@r4-64 ~]# cat /etc/release 
ROSA Desktop Fresh R5 release 2014.1 for x86_64
[root@r4-64 ~]# rpm -qa | grep rosa-release
rosa-release-EE-2014.1-6-rosa2014.1.x86_64
rosa-release-common-2014.1-6-rosa2014.1.x86_64
Comment 6 FirstLevel 2014-12-04 16:46:54 MSK
rosa-release-EE-2014.1-6
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2348470/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2348471/x86_64/main/release/
************************ Advisory **********************
Release ROSA Desktop Fresh R5
********************************************************
QA Verified
Comment 7 Andrey Bondrov 2014-12-04 18:38:06 MSK
We also need to rebuild grub2 to generate new boot menu entries based on new /etc/release.

Advisory: "Release ROSA Desktop Fresh R5"
https://abf.rosalinux.ru/build_lists/2348510
https://abf.rosalinux.ru/build_lists/2348511
Comment 8 FirstLevel 2014-12-05 09:54:08 MSK
Created attachment 3557 [details]
x32-old.jpg
Comment 9 FirstLevel 2014-12-05 09:54:23 MSK
Created attachment 3558 [details]
x32-new.jpg
Comment 10 FirstLevel 2014-12-05 09:54:41 MSK
(In reply to comment #7)
> We also need to rebuild grub2 to generate new boot menu entries based on new
> /etc/release.
> 
> Advisory: "Release ROSA Desktop Fresh R5"
> https://abf.rosalinux.ru/build_lists/2348510
> https://abf.rosalinux.ru/build_lists/2348511

See my attachments for old and new packages
Comment 11 FirstLevel 2014-12-05 10:00:11 MSK
I see such strange thing.
For 64 bit two packages are updated
 Пакет                          Версия       Релиз         Dist  DEpoch Платформа 
(источник «tst»)
 grub2                          2.00         64            rosa  2014.1 x86_64 
 grub2-efi                      2.00         64            rosa  2014.1 x86_64 


But for 32bit only one package is updated
 Пакет                          Версия       Релиз         Dist  DEpoch Платформа 
(источник «tst»)
 grub2                          2.00         64            rosa  2014.1 i586
Comment 12 Vladimir Potapov 2014-12-05 11:10:05 MSK
32 don't work with EFI?
Comment 13 Andrey Bondrov 2014-12-05 11:48:49 MSK
(In reply to comment #12)
> 32 don't work with EFI?

I don't know, grub2-efi seems to be installed by ROSA installer. Looks like 32 bit installer doesn't install it for some reasons. It's not related to grub2 package itself.
Comment 14 FirstLevel 2014-12-05 11:56:27 MSK
(In reply to comment #13)
> (In reply to comment #12)
> > 32 don't work with EFI?
> 
> I don't know, grub2-efi seems to be installed by ROSA installer. Looks like
> 32 bit installer doesn't install it for some reasons. It's not related to
> grub2 package itself.

I have such output for newly installed ROSA R4 32bit
[root@r4-32 urpmi]# rpm -qa | grep grub
grub2-2.00-60-rosa2014.1.i586
grub2-theme-rosa-2.00-52-rosa2014.1.noarch
kcm-grub2-0.5.8-6-rosa2014.1.i586
grub-efi-0.97-102-rosa2014.1.i586
[root@r4-32 urpmi]#
Comment 15 Stanislav Fomin 2014-12-05 14:10:10 MSK
grub2-efi, while existing on 32-bit architecture, has little use for it since 32-bit does not support EFI yet. Therefore it is not packaged into ISO images and has to be installed separately if necessary.

grub-efi-0.97 is a very old and unused version, it remained in ISO images just by mistake (I suppose). In the latest ISOs I have already excluded this package.

-- Konstantin Vlasov (don't have access to my acc at the moment)
Comment 16 Andrey Bondrov 2014-12-07 15:18:37 MSK
Ok, I'll publish these grub2 builds then. It's just a release bump.
Comment 17 Andrey Bondrov 2014-12-08 16:06:58 MSK
We need to change the default FF homepage redirect (from R4 to R5 wiki page). It's indexhtml package.

Advisory: "Release ROSA Desktop Fresh R5"

https://abf.rosalinux.ru/build_lists/2363725
https://abf.rosalinux.ru/build_lists/2363726
Comment 18 FirstLevel 2014-12-08 21:47:42 MSK
Created attachment 3564 [details]
old index.html
Comment 19 FirstLevel 2014-12-08 21:48:00 MSK
Created attachment 3565 [details]
new index.html
Comment 20 FirstLevel 2014-12-08 21:48:47 MSK
(In reply to comment #17)
> We need to change the default FF homepage redirect (from R4 to R5 wiki
> page). It's indexhtml package.
> 
> Advisory: "Release ROSA Desktop Fresh R5"
> 
> https://abf.rosalinux.ru/build_lists/2363725
> https://abf.rosalinux.ru/build_lists/2363726

I have such index page
- old index.html  for old package
- new index.html  for new package
Comment 21 FirstLevel 2014-12-08 22:21:58 MSK
(In reply to comment #17)
> We need to change the default FF homepage redirect (from R4 to R5 wiki
> page). It's indexhtml package.
> 
> Advisory: "Release ROSA Desktop Fresh R5"
> 
> https://abf.rosalinux.ru/build_lists/2363725
> https://abf.rosalinux.ru/build_lists/2363726

And for 32bit also I have new index.html with new packages.
Comment 22 Andrey Bondrov 2014-12-09 03:09:15 MSK
I guess we also need to copy 

http://wiki.rosalab.ru/en/index.php/ROSA_Desktop_Fresh_R4
to
http://wiki.rosalab.ru/en/index.php/ROSA_Desktop_Fresh_R5

before publishing. I forgot about English version of the page, sorry.